Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network94.0.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
94.0.0.0
Broadcast address
94.3.255.255
First usable
94.0.0.1
Last usable
94.3.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 5E000000 · Integer 1577058304 to 1577320447
Reverse DNS zones
0.94.in-addr.arpa
1.94.in-addr.arpa
2.94.in-addr.arpa
3.94.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011110.00000000.00000000.0000000094.0.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01011110.00000000.00000000.0000000094.0.0.0
Broadcast01011110.00000011.11111111.1111111194.3.255.255
Split into smaller subnets/21

94.0.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
194.0.0.0/2194.0.0.1 to 94.0.7.25494.0.7.2552,046
294.0.8.0/2194.0.8.1 to 94.0.15.25494.0.15.2552,046
394.0.16.0/2194.0.16.1 to 94.0.23.25494.0.23.2552,046
494.0.24.0/2194.0.24.1 to 94.0.31.25494.0.31.2552,046
594.0.32.0/2194.0.32.1 to 94.0.39.25494.0.39.2552,046
694.0.40.0/2194.0.40.1 to 94.0.47.25494.0.47.2552,046
794.0.48.0/2194.0.48.1 to 94.0.55.25494.0.55.2552,046
894.0.56.0/2194.0.56.1 to 94.0.63.25494.0.63.2552,046
994.0.64.0/2194.0.64.1 to 94.0.71.25494.0.71.2552,046
1094.0.72.0/2194.0.72.1 to 94.0.79.25494.0.79.2552,046
1194.0.80.0/2194.0.80.1 to 94.0.87.25494.0.87.2552,046
1294.0.88.0/2194.0.88.1 to 94.0.95.25494.0.95.2552,046
1394.0.96.0/2194.0.96.1 to 94.0.103.25494.0.103.2552,046
1494.0.104.0/2194.0.104.1 to 94.0.111.25494.0.111.2552,046
1594.0.112.0/2194.0.112.1 to 94.0.119.25494.0.119.2552,046
1694.0.120.0/2194.0.120.1 to 94.0.127.25494.0.127.2552,046
1794.0.128.0/2194.0.128.1 to 94.0.135.25494.0.135.2552,046
1894.0.136.0/2194.0.136.1 to 94.0.143.25494.0.143.2552,046
1994.0.144.0/2194.0.144.1 to 94.0.151.25494.0.151.2552,046
2094.0.152.0/2194.0.152.1 to 94.0.159.25494.0.159.2552,046
2194.0.160.0/2194.0.160.1 to 94.0.167.25494.0.167.2552,046
2294.0.168.0/2194.0.168.1 to 94.0.175.25494.0.175.2552,046
2394.0.176.0/2194.0.176.1 to 94.0.183.25494.0.183.2552,046
2494.0.184.0/2194.0.184.1 to 94.0.191.25494.0.191.2552,046
2594.0.192.0/2194.0.192.1 to 94.0.199.25494.0.199.2552,046
2694.0.200.0/2194.0.200.1 to 94.0.207.25494.0.207.2552,046
2794.0.208.0/2194.0.208.1 to 94.0.215.25494.0.215.2552,046
2894.0.216.0/2194.0.216.1 to 94.0.223.25494.0.223.2552,046
2994.0.224.0/2194.0.224.1 to 94.0.231.25494.0.231.2552,046
3094.0.232.0/2194.0.232.1 to 94.0.239.25494.0.239.2552,046
3194.0.240.0/2194.0.240.1 to 94.0.247.25494.0.247.2552,046
3294.0.248.0/2194.0.248.1 to 94.0.255.25494.0.255.2552,046
3394.1.0.0/2194.1.0.1 to 94.1.7.25494.1.7.2552,046
3494.1.8.0/2194.1.8.1 to 94.1.15.25494.1.15.2552,046
3594.1.16.0/2194.1.16.1 to 94.1.23.25494.1.23.2552,046
3694.1.24.0/2194.1.24.1 to 94.1.31.25494.1.31.2552,046
3794.1.32.0/2194.1.32.1 to 94.1.39.25494.1.39.2552,046
3894.1.40.0/2194.1.40.1 to 94.1.47.25494.1.47.2552,046
3994.1.48.0/2194.1.48.1 to 94.1.55.25494.1.55.2552,046
4094.1.56.0/2194.1.56.1 to 94.1.63.25494.1.63.2552,046
4194.1.64.0/2194.1.64.1 to 94.1.71.25494.1.71.2552,046
4294.1.72.0/2194.1.72.1 to 94.1.79.25494.1.79.2552,046
4394.1.80.0/2194.1.80.1 to 94.1.87.25494.1.87.2552,046
4494.1.88.0/2194.1.88.1 to 94.1.95.25494.1.95.2552,046
4594.1.96.0/2194.1.96.1 to 94.1.103.25494.1.103.2552,046
4694.1.104.0/2194.1.104.1 to 94.1.111.25494.1.111.2552,046
4794.1.112.0/2194.1.112.1 to 94.1.119.25494.1.119.2552,046
4894.1.120.0/2194.1.120.1 to 94.1.127.25494.1.127.2552,046
4994.1.128.0/2194.1.128.1 to 94.1.135.25494.1.135.2552,046
5094.1.136.0/2194.1.136.1 to 94.1.143.25494.1.143.2552,046
5194.1.144.0/2194.1.144.1 to 94.1.151.25494.1.151.2552,046
5294.1.152.0/2194.1.152.1 to 94.1.159.25494.1.159.2552,046
5394.1.160.0/2194.1.160.1 to 94.1.167.25494.1.167.2552,046
5494.1.168.0/2194.1.168.1 to 94.1.175.25494.1.175.2552,046
5594.1.176.0/2194.1.176.1 to 94.1.183.25494.1.183.2552,046
5694.1.184.0/2194.1.184.1 to 94.1.191.25494.1.191.2552,046
5794.1.192.0/2194.1.192.1 to 94.1.199.25494.1.199.2552,046
5894.1.200.0/2194.1.200.1 to 94.1.207.25494.1.207.2552,046
5994.1.208.0/2194.1.208.1 to 94.1.215.25494.1.215.2552,046
6094.1.216.0/2194.1.216.1 to 94.1.223.25494.1.223.2552,046
6194.1.224.0/2194.1.224.1 to 94.1.231.25494.1.231.2552,046
6294.1.232.0/2194.1.232.1 to 94.1.239.25494.1.239.2552,046
6394.1.240.0/2194.1.240.1 to 94.1.247.25494.1.247.2552,046
6494.1.248.0/2194.1.248.1 to 94.1.255.25494.1.255.2552,046
6594.2.0.0/2194.2.0.1 to 94.2.7.25494.2.7.2552,046
6694.2.8.0/2194.2.8.1 to 94.2.15.25494.2.15.2552,046
6794.2.16.0/2194.2.16.1 to 94.2.23.25494.2.23.2552,046
6894.2.24.0/2194.2.24.1 to 94.2.31.25494.2.31.2552,046
6994.2.32.0/2194.2.32.1 to 94.2.39.25494.2.39.2552,046
7094.2.40.0/2194.2.40.1 to 94.2.47.25494.2.47.2552,046
7194.2.48.0/2194.2.48.1 to 94.2.55.25494.2.55.2552,046
7294.2.56.0/2194.2.56.1 to 94.2.63.25494.2.63.2552,046
7394.2.64.0/2194.2.64.1 to 94.2.71.25494.2.71.2552,046
7494.2.72.0/2194.2.72.1 to 94.2.79.25494.2.79.2552,046
7594.2.80.0/2194.2.80.1 to 94.2.87.25494.2.87.2552,046
7694.2.88.0/2194.2.88.1 to 94.2.95.25494.2.95.2552,046
7794.2.96.0/2194.2.96.1 to 94.2.103.25494.2.103.2552,046
7894.2.104.0/2194.2.104.1 to 94.2.111.25494.2.111.2552,046
7994.2.112.0/2194.2.112.1 to 94.2.119.25494.2.119.2552,046
8094.2.120.0/2194.2.120.1 to 94.2.127.25494.2.127.2552,046
8194.2.128.0/2194.2.128.1 to 94.2.135.25494.2.135.2552,046
8294.2.136.0/2194.2.136.1 to 94.2.143.25494.2.143.2552,046
8394.2.144.0/2194.2.144.1 to 94.2.151.25494.2.151.2552,046
8494.2.152.0/2194.2.152.1 to 94.2.159.25494.2.159.2552,046
8594.2.160.0/2194.2.160.1 to 94.2.167.25494.2.167.2552,046
8694.2.168.0/2194.2.168.1 to 94.2.175.25494.2.175.2552,046
8794.2.176.0/2194.2.176.1 to 94.2.183.25494.2.183.2552,046
8894.2.184.0/2194.2.184.1 to 94.2.191.25494.2.191.2552,046
8994.2.192.0/2194.2.192.1 to 94.2.199.25494.2.199.2552,046
9094.2.200.0/2194.2.200.1 to 94.2.207.25494.2.207.2552,046
9194.2.208.0/2194.2.208.1 to 94.2.215.25494.2.215.2552,046
9294.2.216.0/2194.2.216.1 to 94.2.223.25494.2.223.2552,046
9394.2.224.0/2194.2.224.1 to 94.2.231.25494.2.231.2552,046
9494.2.232.0/2194.2.232.1 to 94.2.239.25494.2.239.2552,046
9594.2.240.0/2194.2.240.1 to 94.2.247.25494.2.247.2552,046
9694.2.248.0/2194.2.248.1 to 94.2.255.25494.2.255.2552,046
9794.3.0.0/2194.3.0.1 to 94.3.7.25494.3.7.2552,046
9894.3.8.0/2194.3.8.1 to 94.3.15.25494.3.15.2552,046
9994.3.16.0/2194.3.16.1 to 94.3.23.25494.3.23.2552,046
10094.3.24.0/2194.3.24.1 to 94.3.31.25494.3.31.2552,046
10194.3.32.0/2194.3.32.1 to 94.3.39.25494.3.39.2552,046
10294.3.40.0/2194.3.40.1 to 94.3.47.25494.3.47.2552,046
10394.3.48.0/2194.3.48.1 to 94.3.55.25494.3.55.2552,046
10494.3.56.0/2194.3.56.1 to 94.3.63.25494.3.63.2552,046
10594.3.64.0/2194.3.64.1 to 94.3.71.25494.3.71.2552,046
10694.3.72.0/2194.3.72.1 to 94.3.79.25494.3.79.2552,046
10794.3.80.0/2194.3.80.1 to 94.3.87.25494.3.87.2552,046
10894.3.88.0/2194.3.88.1 to 94.3.95.25494.3.95.2552,046
10994.3.96.0/2194.3.96.1 to 94.3.103.25494.3.103.2552,046
11094.3.104.0/2194.3.104.1 to 94.3.111.25494.3.111.2552,046
11194.3.112.0/2194.3.112.1 to 94.3.119.25494.3.119.2552,046
11294.3.120.0/2194.3.120.1 to 94.3.127.25494.3.127.2552,046
11394.3.128.0/2194.3.128.1 to 94.3.135.25494.3.135.2552,046
11494.3.136.0/2194.3.136.1 to 94.3.143.25494.3.143.2552,046
11594.3.144.0/2194.3.144.1 to 94.3.151.25494.3.151.2552,046
11694.3.152.0/2194.3.152.1 to 94.3.159.25494.3.159.2552,046
11794.3.160.0/2194.3.160.1 to 94.3.167.25494.3.167.2552,046
11894.3.168.0/2194.3.168.1 to 94.3.175.25494.3.175.2552,046
11994.3.176.0/2194.3.176.1 to 94.3.183.25494.3.183.2552,046
12094.3.184.0/2194.3.184.1 to 94.3.191.25494.3.191.2552,046
12194.3.192.0/2194.3.192.1 to 94.3.199.25494.3.199.2552,046
12294.3.200.0/2194.3.200.1 to 94.3.207.25494.3.207.2552,046
12394.3.208.0/2194.3.208.1 to 94.3.215.25494.3.215.2552,046
12494.3.216.0/2194.3.216.1 to 94.3.223.25494.3.223.2552,046
12594.3.224.0/2194.3.224.1 to 94.3.231.25494.3.231.2552,046
12694.3.232.0/2194.3.232.1 to 94.3.239.25494.3.239.2552,046
12794.3.240.0/2194.3.240.1 to 94.3.247.25494.3.247.2552,046
12894.3.248.0/2194.3.248.1 to 94.3.255.25494.3.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses